# Tag Name: subset

## Description

Takes an iterator and outputs a subset of it.

## Attributes

#### Dynamic Attributes Allowed: false
#### Name | #### Required | #### Default | #### Evaluated | #### Type | #### Description
--- | --- | --- | --- | --- | ---
count | false |  | false | Integer | Indicate the number of entries to be in the resulting subset iterator
decider | false |  | false | org.apache.struts2.util.SubsetIteratorFilter.Decider | Extension to plug-in a decider to determine if that particular entry is to be included in the resulting subset iterator
source | false |  | false | String | Indicate the source of which the resulting subset iterator is to be derived base on
start | false |  | false | Integer | Indicate the starting index (eg. first entry is 0) of entries in the source to be available as the first entry in the resulting subset iterator
var | false |  | false | String | The name to store the resultant iterator into page context, if such name is supplied